import { Profile } from "./profile.js";

class Profiles
{
	/**
	 * @param  {Client} client
	 */
	constructor (client)
	{
		/**
		 * @type {Client} client
		 */
		this.client = client
	}

	async all()
	{
		let response = await this.client._get("/api/profiles/");
		let response_data = await response.json();

		let profiles = []
		response_data.forEach((profile) => {
			profiles.push(new Profile(this.client, profile.username, profile.avatar_url, profile.user_id))
		});
		return profiles;
	}

	async getProfile(user_id)
	{
		let profile = new Profile(this.client);
		await profile.init(user_id);
		return profile;
	}
}

export {Profiles}